kopano-srvadm(8)

Name
kopano-srvadm — server management utility

Synopsis
kopano-srvadm {--clear-cache type|--purge-deferred|--purge-softdelete days}

Description

This tool is used to control certain aspects of the Kopano server, specifically internal state.

Options

--clear-cache pool[,pool...]
    Flushes one or more of the server's cache pools. The argument shall be a comma-separated list of pool names, which can be: quota, quotadefault, object, store, acl, cell, index1, index2, indexedproperty, userobject, externid, userdetail, server, or the magic value all. Although this operation never causes any data loss, it can affect the performance of the server, since any data requested after the cache has been cleared needs to be re-requested from the database or LDAP server. Normally, this option is never needed; it is mostly used as a diagnostic.

--purge-deferred
    The server has an optimization in which changes to the "tproperties" table are not writted directly, but delayed for a more efficient write at a later time. The server auto-purges these regularly. This command allows you to manually start a purge of all pending changes. It may be useful to run this during low I/O load of your server, e.g. at night.

--purge-softdelete days
    Starts a softdelete purge on the server, removing all soft-deleted items which have been deleted and which are older than the specified number of days.